Save the inbound webhook mapping
curl --request PUT \
--url https://api.closebot.com/agency/source/{sourceId}/webhook-integration/inbound \
--header 'Content-Type: application/json' \
--header 'X-CB-KEY: <api-key>' \
--data '
{
"mapping": {
"contactIdPath": "<string>",
"bodyPath": "<string>",
"attachmentsPath": "<string>",
"statePath": "<string>",
"contactFieldPaths": {}
},
"filterKey": {
"path": "<string>",
"expectedValue": "<string>"
},
"requireAccessToken": true
}
'import requests
url = "https://api.closebot.com/agency/source/{sourceId}/webhook-integration/inbound"
payload = {
"mapping": {
"contactIdPath": "<string>",
"bodyPath": "<string>",
"attachmentsPath": "<string>",
"statePath": "<string>",
"contactFieldPaths": {}
},
"filterKey": {
"path": "<string>",
"expectedValue": "<string>"
},
"requireAccessToken": True
}
headers = {
"X-CB-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-CB-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
mapping: {
contactIdPath: '<string>',
bodyPath: '<string>',
attachmentsPath: '<string>',
statePath: '<string>',
contactFieldPaths: {}
},
filterKey: {path: '<string>', expectedValue: '<string>'},
requireAccessToken: true
})
};
fetch('https://api.closebot.com/agency/source/{sourceId}/webhook-integration/inbound', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"configured": true,
"requireAccessToken": true,
"inbound": {
"contactIdPath": "<string>",
"bodyPath": "<string>",
"attachmentsPath": "<string>",
"statePath": "<string>",
"contactFieldPaths": {}
},
"filterKey": {
"path": "<string>",
"expectedValue": "<string>"
},
"outboundMode": "<string>",
"sendMessageTemplate": {
"method": "<string>",
"url": "<string>",
"headers": [
{
"name": "<string>",
"value": "<string>"
}
],
"bodyTemplate": "<string>"
},
"setFieldTemplate": {
"method": "<string>",
"url": "<string>",
"headers": [
{
"name": "<string>",
"value": "<string>"
}
],
"bodyTemplate": "<string>"
},
"getContactTemplate": {
"method": "<string>",
"url": "<string>",
"headers": [
{
"name": "<string>",
"value": "<string>"
}
],
"bodyTemplate": "<string>"
},
"contactFieldResponsePaths": {},
"webhookCallbackUri": "<string>",
"hasExternalApiKey": true,
"listenUntil": "2023-11-07T05:31:56Z",
"contactFieldDescriptors": [
"<string>"
],
"lastTestResults": {},
"selectedSampleEventId": 123
}"<string>"Source
Save the inbound webhook mapping
Saves the JSON path mapping, filter key and token requirement. Passing a null mapping reverts inbound processing to the legacy packet format (kind/contactId/body).
PUT
/
agency
/
source
/
{sourceId}
/
webhook-integration
/
inbound
Save the inbound webhook mapping
Authorizations
CloseBot API Key Authorization
Path Parameters
The source ID.
Body
application/jsontext/jsonapplication/*+json
The mapping to save.
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

